[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBActns' (#lcl)

# TDataSetFirst

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TDataSetFirst - move to first record in the DataSet

## Declaration

Source position: dbactns.pp line 49

`type TDataSetFirst = class(TDataSetAction)`
`public`
`procedure ExecuteTarget(); override;` |  |
`procedure UpdateTarget(); override;` |  |
`published`
`property DataSource;` |  |
`end;`

## Inheritance

`TDataSetFirst` |  | TDataSetFirst - move to first record in the DataSet
`TDataSetAction` |  | TDataSetAction - base class for all other standard TDataSet actions
`TAction`
?
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.